
Ruby - Feature #4742

Allow for File.open('yo', :mode => File::WRONLY|File::TRUNC|File::CREAT)

05/20/2011 12:15 AM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: kosaki (Motohiro KOSAKI)   

Target version: 1.9.3   

Description

Currently we have these options for File.open:

File.open('yo', 'w')

File.open('yo',  File::WRONLY|File::TRUNC|File::CREAT)

File.open('yo', :mode => 'w')

but not

File.open('yo', :mode => File::WRONLY|File::TRUNC|File::CREAT)

Which seemed a bit surprising to me, so making a feature request for it.

Cheers!

-roger-

Associated revisions

Revision 67cf354b - 05/21/2011 01:20 PM - kosaki (Motohiro KOSAKI)

io.c (rb_io_extract_modeenc): accept combination hash and

File::Constants. (eg. File.open('yo', :mode => File::WRONLY))

[Feature #4742][ruby-core:36338]

test/ruby/test_io.rb (TestIO#test_open_mode): new test.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31671 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/20/2011 06:52 AM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Feature

#2 - 05/21/2011 10:20 PM - kosaki (Motohiro KOSAKI)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31671.

Roger, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

io.c (rb_io_extract_modeenc): accept combination hash and

File::Constants. (eg. File.open('yo', :mode => File::WRONLY))

[Feature #4742][ruby-core:36338]

test/ruby/test_io.rb (TestIO#test_open_mode): new test.

#3 - 05/21/2011 10:22 PM - kosaki (Motohiro KOSAKI)

- Category set to core

- Assignee set to kosaki (Motohiro KOSAKI)

- Target version set to 1.9.3
